services:
  dom-monitor:
    image: anssi/fcsc2025-web-dom-monitor:latest
    hostname: "app.dom-monitor.fr"
    container_name: "app.dom-monitor.fr"
    ports:
      - "8000:8000"
    restart: always

  dom-monitor-bot:
    image: anssi/fcsc2025-web-dom-monitor-bot:latest
    hostname: "bot.dom-monitor.fr"
    container_name: "bot.dom-monitor.fr"
    ports:
      - "4000:4000"
    environment:
      - FIRST_FLAG=FCSC{abfe58dbaccdc701137c99757097a644d955443041c73353cae271329dc1b705}
      - PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
      # - ENVIRONMENT=development
    restart: unless-stopped
    tmpfs:
      - /tmp:mode=1733,exec
